> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/new-uddrawer.md).

# New-UDDrawer

New-UDDrawer crée un panneau de navigation rétractable dans PowerShell Universal, généralement associé à New-UDAppBar pour la navigation d'une page à l'autre.

### Synopsis

Crée un nouveau tiroir.

### Syntaxe

```powershell
New-UDDrawer [[-Id] <String>] [[-Children] <ScriptBlock>] [[-Variant] <String>] [[-Anchor] <String>] [[-ClassName] <String>] [-ShowCollapse] [<CommonParameters>]
```

### Description

Crée un nouveau tiroir. Un tiroir est un composant de navigation qui est généralement utilisé pour naviguer entre les pages. Il peut être utilisé avec New-UDAppBar pour fournir une barre de navigation personnalisée.

### Paramètres

#### -Id

L'ID du composant. Il s'agit par défaut d'un GUID aléatoire.

```
Required?                    false
Position?                    1
Default value                [Guid]::NewGuid()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Contrôles de navigation à afficher dans le tiroir. Utilisez New-UDList et New-UDListItem pour générer des liens dans le tiroir.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Variant

Le type de tiroir. Les valeurs valides sont « persistent », « permanent », « temporary »

```
Required?                    false
Position?                    3
Default value                temporary
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Anchor

Où ancrer le tiroir. Les valeurs valides sont « left », « right », « top », « bottom »

```
Required?                    false
Position?                    4
Default value                left
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

Une classe CSS à appliquer au tiroir.

```
Required?                    false
Position?                    5
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ShowCollapse

Afficher le bouton de réduction

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Paramètres communs

Cette applet de commande prend en charge les paramètres communs : Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable et OutVariable. Pour plus d'informations, consultez [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Sorties

### Exemples

#### Exemple 1

```powershell
$Drawer = New-UDDrawer -Id 'drawer' -Children {
    New-UDList -Content {
        New-UDListItem -Id 'lstHome' -Label 'Home' -OnClick {
            Set-TestData 'Home'
            } -Content {
                New-UDListItem -Id 'lstNested' -Label 'Nested' -OnClick {
                Set-TestData 'Nested'
                }
            }
    }
}

New-UDElement -Tag 'main' -Content {
    New-UDAppBar -Children { New-UDTypography -Text 'Hello' -Paragraph } -Position relative -Drawer $Drawer
}
```

Crée une barre de navigation personnalisée à l'aide de New-UDDrawer

\[Component("Drawer", "WindowMaximize", "Creates a new card.")]


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/new-uddrawer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
